For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Get memory bank snapshots

GET
https://api.reasoner.com/api/mindsim/minds/:mindId/snapshots
GET
/api/mindsim/minds/:mindId/snapshots
$curl https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000/snapshots \
> -H "Authorization: Bearer <token>"
1{
2 "snapshots": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174003",
5 "mindId": "123e4567-e89b-12d3-a456-426614174000",
6 "artifactId": "123e4567-e89b-12d3-a456-426614174004",
7 "mindsetDate": "2025-01-01T00:00:00.000Z",
8 "status": "completed",
9 "startedAt": "2025-01-01T00:00:00.000Z",
10 "completedAt": "2025-01-01T00:00:00.000Z",
11 "createdAt": "2025-01-01T00:00:00.000Z",
12 "updatedAt": "2025-01-01T00:00:00.000Z",
13 "psychometricCount": 10,
14 "keyTopicCount": 5,
15 "findingCount": 8
16 }
17 ],
18 "count": 1.1
19}
Retrieves a list of memory bank snapshots for a specific mind.
Was this page helpful?
Previous

Create a memory bank snapshot

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

mindIdstringRequiredformat: "uuid"

Response

Memory bank snapshots retrieved successfully
snapshotslist of objects
countdouble

Errors

401
Unauthorized Error
404
Not Found Error